Remote Computer
Ensure Remote Computer PubSub Access
/hardware/v1/remote-computers/{computerId}/access
Grant Web PubSub group permissions so the caller can communicate with a remote computer.
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Parameters
The unique identifier for a computer
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/{computerId}/access" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "string" }'
Get Remote Computer Token
/hardware/v1/remote-computers/token
Get a token for a remote computer.
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/token" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "expirationTimeInMinutes": 60 }'